<template>
  <div class="blog-page">
    <LinedComponent class="title-container">
      <h1 class="title">بلاگ پنج نوش</h1>
      <p class="subtitlte">آخرین نوشته های پنج نوش را در اینجا مطالعه کنید.</p>
    </LinedComponent>
    <div class="empty" v-if="posts.length === 0">
      <h2 class="empty__title">نوشته ای برای نمایش وجود ندارد!</h2>
    </div>
    <PostList :posts="posts" v-else />
  </div>
</template>

<script>
import PostList from "@/components/blog/PostList";
import LinedComponent from "@/components/base/LinedComponent";

export default {
  components: {
    PostList,
    LinedComponent
  },
  async asyncData(context) {
    let posts = [];
    await context.store.dispatch('blog/fetchPosts').then(response => {
      posts = response.data.data;
      console.log(posts)
    }).catch(error => {
      console.log(error);
    });
    return {
      posts
    }
  },
  head() {
    return {
      title: "بلاگ"
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables";

.blog-page
  background-color $black
  padding $lg $lg
  @media only screen and (max-width 700px)
    padding $lg $xxlg
  @media only screen and (max-width 550px)
    padding $lg $lg
  @media only screen and (max-width 450px)
    padding $lg $md

.title-container
  margin-bottom $md
  color $white
  direction rtl

.title
  margin-bottom $sm

.empty
  margin-top $xxlg
  direction rtl
  &__title
    color $white
    opacity .75
    text-align center
    @media only screen and (max-width 600px)
      font-size 2rem
</style>